require "smooster/version"
require 'active_model'
require 'rest_client'
require 'nokogiri'
require "yaml/store"
require 'logger'
require 'cgi'
require 'launchy'

#base
require 'smooster/rest-client/rest-client-purge'

#deploy
require 'smooster/deploy/site_templates'
require 'smooster/deploy/site_template'
require 'smooster/deploy/pages'
require 'smooster/deploy/page'
require 'smooster/deploy/media_assets'
require 'smooster/deploy/media_asset'
require 'smooster/deploy/setting'

#debug
#require 'pry'


module Smooster
  autoload :Application, "smooster/application"
end
